chrome.runtime.onMessage.addListener(function(msg, sender, sendResponse) {
    // 各種情報をMapから抽出する
	var el_title    = document.querySelector("#app-container h1") || {textContent: ""};
	var el_address  = document.querySelector("#app-container .section-info-text > span > span") || document.querySelector("#app-container .section-hero-header-subtitle > span") || {textContent: " "};
	var latlng_part = window.location.href.split("/").filter(function(v){
		return (v.indexOf("@") == 0) && (v.split(",").length == 3);
	});
    // 抽出した情報から欲しい欲しい情報を綺麗に整形する
	var latlng = ((latlng_part.length > 0) ? latlng_part[0] : ",,").split(",");
    var splitted_address = el_address.textContent.split(" ");
    var zip_no = splitted_address[0].replace("〒", "");
    var address = splitted_address.length > 1 ? splitted_address[1] : "";

    // 値の返却
    sendResponse({
    	title: el_title.textContent,
        zip_no: zip_no,
    	address: address,
        rowaddress: el_address.textContent,
    	lat:  latlng[0].replace("@", ""),
    	lng:  latlng[1],
    	zoom: latlng[2].replace("z", "")
    });
});